%define po_package %{name}

Name:		mate-control-center
Version:	1.4.0
Release:	2%{?dist}
Summary:	MATE Desktop control-center
License:	LGPLv2+ and GPLv2+
URL:		http://mate-desktop.org
Source0:	http://pub.mate-desktop.org/releases/1.4/%{name}-%{version}.tar.xz

BuildRequires:	gtk2-devel icon-naming-utils mate-common mate-conf-devel mate-corba-devel mate-desktop-devel mate-doc-utils mate-menus-devel mate-settings-daemon-devel dbus-glib-devel libmatekbd-devel libmatenotify-devel libxklavier-devel nss-devel polkit-devel unique-devel mate-window-manager-devel
Requires(pre): mate-conf
Requires(post):	mate-conf desktop-file-utils
Requires(preun): mate-conf
Requires(postun):	desktop-file-utils
Requires:	mate-conf

%description
MATE Desktop Control Center

%package devel
Summary:	Development files for mate-settings-daemon
Requires:	%{name}%{?_isa} = %{version}-%{release}

%description devel
Development files for mate-control-center

%prep
%setup -q
NOCONFIGURE=1 ./autogen.sh


%build
%configure --disable-static --disable-schemas-install --enable-aboutme --disable-scrollkeeper --libexecdir=/usr/libexec
make %{?_smp_mflags} V=1


%install
export MATECONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make DESTDIR=%{buildroot} install
%find_lang %{po_package}
find %{buildroot} -name '*.la' -exec rm -rf {} ';'
find %{buildroot} -name '*.a' -exec rm -rf {} ';'

desktop-file-install									\
	--remove-category="MATE"							\
	--add-category="X-Mate"								\
	--delete-original								\
	--dir=%{buildroot}%{_datadir}/applications					\
%{buildroot}%{_datadir}/applications/*.desktop

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/at-properties.desktop
desktop-file-validate %{buildroot}%{_datadir}/applications/default-applications.desktop
desktop-file-validate %{buildroot}%{_datadir}/applications/display-properties.desktop
desktop-file-validate %{buildroot}%{_datadir}/applications/keyboard.desktop
desktop-file-validate %{buildroot}%{_datadir}/applications/mate-appearance-properties.desktop
desktop-file-validate %{buildroot}%{_datadir}/applications/mate-font-viewer.desktop
desktop-file-validate %{buildroot}%{_datadir}/applications/mate-keybinding.desktop
desktop-file-validate %{buildroot}%{_datadir}/applications/mate-network-properties.desktop
desktop-file-validate %{buildroot}%{_datadir}/applications/mate-settings-mouse.desktop
desktop-file-validate %{buildroot}%{_datadir}/applications/mate-theme-installer.desktop
desktop-file-validate %{buildroot}%{_datadir}/applications/matecc.desktop
desktop-file-validate %{buildroot}%{_datadir}/applications/window-properties.desktop
desktop-file-validate %{buildroot}%{_datadir}/applications/mate-about-me.desktop
desktop-file-validate %{buildroot}%{_sysconfdir}/xdg/autostart/mate-at-session.desktop

%pre
/sbin/ldconfig
%mateconf_schema_prepare control-center
%mateconf_schema_prepare fontilus
%mateconf_schema_prepare mate-control-center

%preun
%mateconf_schema_remove control-center
%mateconf_schema_remove fontilus
%mateconf_schema_remove mate-control-center

%post
/sbin/ldconfig
/usr/bin/update-desktop-database &> /dev/null || :
/usr/bin/update-mime-database %{_datadir}/mime &> /dev/null || :
/bin/touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :
%mateconf_schema_upgrade control-center
%mateconf_schema_upgrade fontilus
%mateconf_schema_upgrade mate-control-center

%postun
/sbin/ldconfig
/usr/bin/update-desktop-database &> /dev/null || :
/usr/bin/update-mime-database %{_datadir}/mime &> /dev/null || :
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &> /dev/null
    /usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/hicolor &> /dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/hicolor &> /dev/null || :

%files -f %{po_package}.lang
%doc AUTHORS COPYING README
%config(noreplace) %{_sysconfdir}/mateconf/schemas/control-center.schemas
%config(noreplace) %{_sysconfdir}/mateconf/schemas/fontilus.schemas
%config(noreplace) %{_sysconfdir}/mateconf/schemas/mate-control-center.schemas
%config(noreplace) %{_sysconfdir}/xdg/autostart/mate-at-session.desktop
%config(noreplace) %{_sysconfdir}/xdg/menus/matecc.menu
%{_bindir}/mate-about-me
%{_bindir}/mate-appearance-properties
%{_bindir}/mate-at-mobility
%{_bindir}/mate-at-properties
%{_bindir}/mate-at-visual
%{_bindir}/mate-control-center
%{_bindir}/mate-default-applications-properties
%{_bindir}/mate-display-properties
%{_bindir}/mate-font-viewer
%{_bindir}/mate-keybinding-properties
%{_bindir}/mate-keyboard-properties
%{_bindir}/mate-mouse-properties
%{_bindir}/mate-network-properties
%{_bindir}/mate-thumbnail-font
%{_bindir}/mate-window-properties
%{_libdir}/libmate-window-settings.so.1
%{_libdir}/libmate-window-settings.so.1.0.0
%{_sbindir}/mate-display-properties-install-systemwide
%{_datadir}/applications/at-properties.desktop
%{_datadir}/applications/default-applications.desktop
%{_datadir}/applications/display-properties.desktop
%{_datadir}/applications/keyboard.desktop
%{_datadir}/applications/mate-about-me.desktop
%{_datadir}/applications/mate-appearance-properties.desktop
%{_datadir}/applications/mate-font-viewer.desktop
%{_datadir}/applications/mate-keybinding.desktop
%{_datadir}/applications/mate-network-properties.desktop
%{_datadir}/applications/mate-settings-mouse.desktop
%{_datadir}/applications/mate-theme-installer.desktop
%{_datadir}/applications/matecc.desktop
%{_datadir}/applications/mimeinfo.cache
%{_datadir}/applications/window-properties.desktop
%{_datadir}/desktop-directories/matecc.directory
%{_datadir}/icons/hicolor/16x16/apps/*.png
%{_datadir}/icons/hicolor/22x22/apps/*.png
%{_datadir}/icons/hicolor/24x24/apps/*.png
%{_datadir}/icons/hicolor/32x32/apps/*.png
%{_datadir}/icons/hicolor/48x48/apps/*.png
%{_datadir}/icons/hicolor/scalable/apps/mate-network-properties.svg
%{_datadir}/icons/hicolor/scalable/apps/mate-preferences-desktop-display.svg
%{_datadir}/mate-control-center/
%{_datadir}/mate/cursor-fonts/*.pcf
%{_datadir}/mate/help/mate-control-center/
%{_datadir}/mime/packages/mate-theme-package.xml
%{_datadir}/omf/mate-control-center/
%{_datadir}/polkit-1/actions/org.mate.randr.policy
%{_datadir}/mime/XMLnamespaces
%{_datadir}/mime/aliases
%{_datadir}/mime/application/x-mate-theme-package.xml
%{_datadir}/mime/generic-icons
%{_datadir}/mime/globs
%{_datadir}/mime/globs2
%{_datadir}/mime/icons
%{_datadir}/mime/magic
%{_datadir}/mime/mime.cache
%{_datadir}/mime/packages/mate-theme-package.xml
%{_datadir}/mime/subclasses
%{_datadir}/mime/treemagic
%{_datadir}/mime/types
%{_datadir}/mime/version

%files devel
%{_includedir}/mate-window-settings-2.0/
%{_libdir}/pkgconfig/mate-window-settings-2.0.pc
%{_libdir}/window-manager-settings/libmarco.so
%{_libdir}/libmate-window-settings.so
%{_datadir}/pkgconfig/mate-default-applications.pc
%{_datadir}/pkgconfig/mate-keybindings.pc

%changelog
* Tue Sep 25 2012 Dan Mashal <dan.mashal@fedoraproject.org> 1.4.0-2
- Update files section as per review, update build requires.

* Sat Sep 01 2012 Dan Mashal <dan.mashal@fedoraproject.org> 1.4.0-1
- Initial build
